<?PHP
/*
* admin.php main admins control file.
* copyright (c)2005 Marco Islas <markuz@islascruz.org>
*/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
class manage
{
	var $type;
	
	function manage(){
		$this->type="admin";
	}
	function default_action($message=""){
		if (empty($message))
			$message="Haz click sobre el checkbox para "
				."activar/desactivar el sitio";
		$sql = "select id from sites";
		$ids = $GLOBALS["db"]->fetch_row($sql);
		$tpl = new template(CINTILLA_PATH."xhtml");
		$tpl->load("layout","manage.html");
		$tpl->setBlock("main","layout");
		$tpl->set_variable("message",$message);
		foreach($ids as $id){
			$sql  = "select * from sites where id='".$id."'";
			$data = $GLOBALS["db"]->fetch_array($sql);
			if (!empty($data)){
				if ($data["autorized"]=="true"){
					$checked = "checked";
					$step 	 = "remove";
				}else{
					$checked = " ";
					$step	 = "add";
				}
				$tpl->setBlock("items","layout");
				$tpl->clean("id");
				$tpl->clean("owner");
				$tpl->clean("email");
				$tpl->clean("title");
				$tpl->clean("short_name");
				$tpl->clean("url");
				$tpl->clean("description");
				$tpl->clean("checked");
				$tpl->clean("step");
				$tpl->clean("date");
				$tpl->set_variable("id",$data["id"]);
				$tpl->set_variable("owner",$data["owner"]);
				$tpl->set_variable("email",$data["email"]);
				$tpl->set_variable("title",$data["title"]);
				$tpl->set_variable("short_name",$data["short_name"]);
				$tpl->set_variable("url",$data["url"]);
				$tpl->set_variable("description",$data["description"]);
				$tpl->set_variable("checked",$checked);
				$tpl->set_variable("step",$step);
				$tpl->set_variable("date",$data["date"]);
				$tpl->expand("expitems","+items");
			}
		}
		$tpl->expand("expmain","main");
		return $tpl->export("expmain");
	}
	
	function update(){
		if ($_REQUEST["type"]=="add")
			$value="true";
		else
			$value="false";
		$sql   = "select date from sites where id='".$_REQUEST["id"]."'";
		$check = $GLOBALS["db"]->fetch_array($sql);
		if (empty($check["date"])){
			$date = date(mdy);
			$ndate= substr($date,0,2)."-".substr($date,2,2)."-".substr($date,4,6);
		}else
			$ndate = $check["date"];
		$sql = "update sites set autorized='".$value."',date='".$ndate."' ";
		$sql.= "where id='".$_REQUEST["id"]."'";
		if ($GLOBALS["db"]->query($sql))
			return $this->default_action("Sitio con registro ".$_REQUEST["id"]." 
				actualizado a ".$value);
		else
			return $GLOBALS["functions"]->error("No se ha podido actualizar");
	}
}
 ?>














